# Phaser Class: Circular

# Class: Circular

## Phaser .Easing. Circular

#### new Circular()

  Circular easing.

  Source:
    - tween/Easing.js, line 333

### Methods

#### In(k) → {number}

  Circular ease-in.

  ##### Parameters:

  Name | Type | Description
  --- | --- | ---
  `k` | number | The value to be tweened.

  Source:
    - tween/Easing.js, line 340

  ##### Returns:

  The tweened value.

  Type
    number

#### InOut(k) → {number}

  Circular ease-in/out.

  ##### Parameters:

  Name | Type | Description
  --- | --- | ---
  `k` | number | The value to be tweened.

  Source:
    - tween/Easing.js, line 366

  ##### Returns:

  The tweened value.

  Type
    number

#### Out(k) → {number}

  Circular ease-out.

  ##### Parameters:

  Name | Type | Description
  --- | --- | ---
  `k` | number | The value to be tweened.

  Source:
    - tween/Easing.js, line 353

  ##### Returns:

  The tweened value.

  Type
    number